Summary:     General purpose cryptographic library
Name:        libgcrypt
Version:     1.2.0
Release:     2.pp
License:     LGPL
Group:       System Environment/Libraries
Source0:     ftp://ftp.gnupg.org/gcrypt/%{name}/%{name}-%{version}.tar.gz
URL:         http://directory.fsf.org/security/%{name}.html
Buildroot:   /var/tmp/%{name}-root
Packager:    Peter Pramberger <peter.pramberger@member.fsf.org>
Requires:    glibc libgpg-error >= 0.5 libcap info
Provides:    %{name}.pp
Prereq:      /bin/bash /sbin/ldconfig
BuildPrereq: gcc >= 2.96 /bin/mkdir /usr/bin/make /usr/bin/install
BuildPrereq: glibc-devel libgpg-error-devel >= 0.5 libcap-devel
ExclusiveOS: linux

%description
This is a general purpose cryptographic library based on the code
from GnuPG. It provides functions for all cryptograhic building
blocks: symmetric ciphers (AES, DES, Blowfish, CAST5, Twofish,
Arcfour), hash algorithms (MD4, MD5, RIPE-MD160, SHA-1, TIGER-192),
MACs (HMAC for all hash algorithms), public key algorithms (RSA,
ElGamal, DSA), large integer functions, random numbers and a lot
of supporting functions.


%package devel
Summary:     Development files for %{name}
Group:       Development/Libraries
Requires:    %{name} = %{version}-%{release} %{name}.pp
Provides:    %{name}-devel.pp

%description devel
This package contains the header files, libraries, and documentation
for building programs which use %{name}.


%prep
%setup -q


%build
export CFLAGS="$RPM_OPT_FLAGS"
./configure \
	--prefix=/usr             \
	--sysconfdir=/etc         \
	--localstatedir=/var      \
	--infodir=/usr/share/info \
	--mandir=/usr/share/man   \
	--enable-shared           \
	--enable-static           \
	--with-capabilities       \
	--with-gpg-error-prefix=/usr
make


%define __os_install_post /usr/lib/rpm/brp-compress


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr
make DESTDIR=$RPM_BUILD_ROOT install


%post
/sbin/ldconfig
/sbin/install-info /usr/share/info/gcrypt.info /usr/share/info/dir


%preun
/sbin/install-info --delete /usr/share/info/gcrypt.info /usr/share/info/dir


%postun
/sbin/ldconfig


%clean
rm -rf %{buildroot}


%files
%defattr(-, root, root)
/usr/lib/*.so.*
/usr/share/info/*.info*

%files devel
%defattr(-, root, root)
/usr/bin/*
/usr/include/*
/usr/lib/*.*a
/usr/lib/*.so
/usr/share/aclocal/*


%changelog
* Thu Oct 21 2004 peter.pramberger@member.fsf.org
- created

